List contract billing term groups

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Contract Id

Query parameters

pagedoubleRequiredDefaults to 1
Page Number
limitdoubleRequiredDefaults to 50
Number of items to return
filterstringOptional

Format: field:rule:value — comma-separated for multiple filters.

Fields: createdAt (datetime): eq, neq, gt, gte, lt, lte updatedAt (datetime): eq, neq, gt, gte, lt, lte

Date-only values (YYYY-MM-DD) match the full UTC day.

Example: filter=createdAt:gte:2026-01-01

Response

Billing term groups for the contract
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error